Subject: Re: bug#20628: 25.0.50; Incorrect line height for some fonts

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Sat, 23 May 2015 16:47:56 +0900

>>>>> On Sat, 23 May 2015 10:10:06 +0300, Eli Zaretskii <[email-masked]> said:

> Patches to introduce a list of fonts to ignore while searching for a
> suitable font, and allow users to configure that list, will be
> welcome.

face-ignored-fonts ? 

  DEFVAR_LISP ("face-ignored-fonts", Vface_ignored_fonts,
	       doc: /* List of ignored fonts.
Each element is a regular expression that matches names of fonts to
ignore.  */);
  Vface_ignored_fonts = Qnil;

The regexps to specify are against font names in the XLFD format.  The
documentation is not so clear about this, probably because it was
written for older font code that predates the current font backend.

				     YAMAMOTO Mitsuharu
				[email-masked]